<template>
    <div class="price">
        <InputWithSwitch
            style="width: 121px;"
            :value="value || item"
            :step="step"
            @input="save($event)"
        />
        <img
            class="price__currency"
            :src="`/images/${currency}.svg`"
            :alt="currency"
        >
    </div>
</template>

<script>
import InputWithSwitch from '@/components/elements/InputWithSwitch'
export default {
  components: {
    InputWithSwitch
  },
  props: {
    currency: {
      type: String,
      default: "dollar",
    },
    value: null,
  },
  data() {
    return {
      step: 0.01,
      item: 0.10,
    }
  },
  methods: {
    save(value) {
      if(value || value == '') this.item = value
      this.$emit("input", this.item);
    },
  },
};
</script>

<style lang="scss" scoped>
.price {
    display: flex;
    align-items: center;
}
::v-deep {
  .element-switch__actions {
    width: 36px;
  }
}
</style>
